Bug 114312 - No way for generic assets to augment the authoring kit for all content types
No way for generic assets to augment the authoring kit for all content types
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 10:21 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-26 10:21:06 EST
Description of problem:
Each content type is reponsible for registering an authoring kit for
itself. There are, however, a number of genral purpose assets such as
dublin core, file attachments and related links which need to augment
the authoring kits for all content types in the CMS. Obviously the
master content type kit definitions themselves can't reference these
assets, since the is no way to know in advance if an asset will be
installed on the system.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2004-01-26 10:29:04 EST
I have a solution pending checkin as follows:

Create an abstract class called ContentAssetInitializer. Generic
assets such as dublin core, related links, etc subclass this and
implement the abstract methods to return information about their
drop-in authoring kit step. 

     /**
     * The base type against which the asset is defined,
     * typically com.arsdigita.cms.ContentPage
     */
    public abstract String getBaseType();
    /**
     * The class of the authoring kit step
     */
    public abstract Class getAuthoringStep();

    /**
     * The label for the authoring step
     */
    public abstract GlobalizedMessage getAuthoringStepLabel();
    /**
     * The description for the authoring step
     */
    public abstract GlobalizedMessage getAuthoringStepDescription();

Upon startup the step for these assets are registered with
AuthoringKitWizard UI class such that when it loads an authoring kit
from the DB, it appends the steps for all registered assets.
Comment 2 Daniel Berrange 2004-01-28 10:10:31 EST
This was submitted in p4 39749, 39751
Comment 3 David Lawrence 2006-07-17 23:30:52 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 4 Daniel Berrange 2006-09-02 13:45:45 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.